Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface AD

All Superinterfaces:
  ANY, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ADImpl

    public interface AD

extends ANY

A representation of the model object 'AD'. Mailing and home or office addresses. A sequence of address parts, such as street or post office Box, city, postal code, country, etc.

The following features are supported:

- `Mixed`
- `Group`
- `Delimiter`
- `Country`
- `State`
- `County`
- `City`
- `Postal Code`
- `Street Address Line`
- `House Number`
- `House Number Numeric`
- `Direction`
- `Street Name`
- `Street Name Base`
- `Street Name Type`
- `Additional Locator`
- `Unit ID`
- `Unit Type`
- `Care Of`
- `Census Tract`
- `Delivery Address Line`
- `Delivery Installation Type`
- `Delivery Installation Area`
- `Delivery Installation Qualifier`
- `Delivery Mode`
- `Delivery Mode Identifier`
- `Building Number Suffix`
- `Post Box`
- `Precinct`
- `Useable Period`
- `Is Not Ordered`
- `Use`

See Also:
  `CDAR2Package.getAD()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getAdditionalLocator()` Returns the value of the 'Additional Locator' containment reference list.
`org.eclipse.emf.common.util.EList` | `getBuildingNumberSuffix()` Returns the value of the 'Building Number Suffix' containment reference list.
`org.eclipse.emf.common.util.EList` | `getCareOf()` Returns the value of the 'Care Of' containment reference list.
`org.eclipse.emf.common.util.EList` | `getCensusTract()` Returns the value of the 'Census Tract' containment reference list.
`org.eclipse.emf.common.util.EList` | `getCity()` Returns the value of the 'City' containment reference list.
`org.eclipse.emf.common.util.EList` | `getCountry()` Returns the value of the 'Country' containment reference list.
`org.eclipse.emf.common.util.EList` | `getCounty()` Returns the value of the 'County' containment reference list.
`org.eclipse.emf.common.util.EList` | `getDelimiter()` Returns the value of the 'Delimiter' containment reference list.
`org.eclipse.emf.common.util.EList` | `getDeliveryAddressLine()` Returns the value of the 'Delivery Address Line' containment reference list.
`org.eclipse.emf.common.util.EList` | `getDeliveryInstallationArea()` Returns the value of the 'Delivery Installation Area' containment reference list.
`org.eclipse.emf.common.util.EList` | `getDeliveryInstallationQualifier()` Returns the value of the 'Delivery Installation Qualifier' containment reference list.
`org.eclipse.emf.common.util.EList` | `getDeliveryInstallationType()` Returns the value of the 'Delivery Installation Type' containment reference list.
`org.eclipse.emf.common.util.EList` | `getDeliveryMode()` Returns the value of the 'Delivery Mode' containment reference list.
`org.eclipse.emf.common.util.EList` | `getDeliveryModeIdentifier()` Returns the value of the 'Delivery Mode Identifier' containment reference list.
`org.eclipse.emf.common.util.EList` | `getDirection()` Returns the value of the 'Direction' containment reference list.
`org.eclipse.emf.ecore.util.FeatureMap` | `getGroup()` Returns the value of the 'Group' attribute list.
`org.eclipse.emf.common.util.EList` | `getHouseNumber()` Returns the value of the 'House Number' containment reference list.
`org.eclipse.emf.common.util.EList` | `getHouseNumberNumeric()` Returns the value of the 'House Number Numeric' containment reference list.
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()` Returns the value of the 'Mixed' attribute list.
`org.eclipse.emf.common.util.EList` | `getPostalCode()` Returns the value of the 'Postal Code' containment reference list.
`org.eclipse.emf.common.util.EList` | `getPostBox()` Returns the value of the 'Post Box' containment reference list.
`org.eclipse.emf.common.util.EList` | `getPrecinct()` Returns the value of the 'Precinct' containment reference list.
`org.eclipse.emf.common.util.EList` | `getState()` Returns the value of the 'State' containment reference list.
`org.eclipse.emf.common.util.EList` | `getStreetAddressLine()` Returns the value of the 'Street Address Line' containment reference list.
`org.eclipse.emf.common.util.EList` | `getStreetName()` Returns the value of the 'Street Name' containment reference list.
`org.eclipse.emf.common.util.EList` | `getStreetNameBase()` Returns the value of the 'Street Name Base' containment reference list.
`org.eclipse.emf.common.util.EList` | `getStreetNameType()` Returns the value of the 'Street Name Type' containment reference list.
`org.eclipse.emf.common.util.EList` | `getUnitID()` Returns the value of the 'Unit ID' containment reference list.
`org.eclipse.emf.common.util.EList` | `getUnitType()` Returns the value of the 'Unit Type' containment reference list.
`java.util.List` | `getUse()` Returns the value of the 'Use' attribute.
`org.eclipse.emf.common.util.EList` | `getUseablePeriod()` Returns the value of the 'Useable Period' containment reference list.
`boolean` | `isIsNotOrdered()` Returns the value of the 'Is Not Ordered' attribute.
`boolean` | `isSetIsNotOrdered()` Returns whether the value of the '`Is Not Ordered`' attribute is set.
`void` | `setIsNotOrdered(boolean value)` Sets the value of the '`Is Not Ordered`' attribute.
`void` | `setUse(java.util.List value)` Sets the value of the '`Use`' attribute.
`void` | `unsetIsNotOrdered()` Unsets the value of the '`Is Not Ordered`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMixed

    org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Returns the value of the 'Mixed' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Mixed' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `CDAR2Package.getAD_Mixed()`

### getGroup

    org.eclipse.emf.ecore.util.FeatureMap getGroup()

  Returns the value of the 'Group' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Group' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Group' attribute list.
  See Also:
    `CDAR2Package.getAD_Group()`

### getDelimiter

    org.eclipse.emf.common.util.EList getDelimiter()

  Returns the value of the 'Delimiter' containment reference list. The list contents are of type `AdxpDelimiter`.

  If the meaning of the 'Delimiter' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Delimiter' containment reference list.
  See Also:
    `CDAR2Package.getAD_Delimiter()`

### getCountry

    org.eclipse.emf.common.util.EList getCountry()

  Returns the value of the 'Country' containment reference list. The list contents are of type `AdxpCountry`.

  If the meaning of the 'Country' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Country' containment reference list.
  See Also:
    `CDAR2Package.getAD_Country()`

### getState

    org.eclipse.emf.common.util.EList getState()

  Returns the value of the 'State' containment reference list. The list contents are of type `AdxpState`.

  If the meaning of the 'State' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'State' containment reference list.
  See Also:
    `CDAR2Package.getAD_State()`

### getCounty

    org.eclipse.emf.common.util.EList getCounty()

  Returns the value of the 'County' containment reference list. The list contents are of type `AdxpCounty`.

  If the meaning of the 'County' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'County' containment reference list.
  See Also:
    `CDAR2Package.getAD_County()`

### getCity

    org.eclipse.emf.common.util.EList getCity()

  Returns the value of the 'City' containment reference list. The list contents are of type `AdxpCity`.

  If the meaning of the 'City' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'City' containment reference list.
  See Also:
    `CDAR2Package.getAD_City()`

### getPostalCode

    org.eclipse.emf.common.util.EList getPostalCode()

  Returns the value of the 'Postal Code' containment reference list. The list contents are of type `AdxpPostalCode`.

  If the meaning of the 'Postal Code' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Postal Code' containment reference list.
  See Also:
    `CDAR2Package.getAD_PostalCode()`

### getStreetAddressLine

    org.eclipse.emf.common.util.EList getStreetAddressLine()

  Returns the value of the 'Street Address Line' containment reference list. The list contents are of type `AdxpStreetAddressLine`.

  If the meaning of the 'Street Address Line' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Street Address Line' containment reference list.
  See Also:
    `CDAR2Package.getAD_StreetAddressLine()`

### getHouseNumber

    org.eclipse.emf.common.util.EList getHouseNumber()

  Returns the value of the 'House Number' containment reference list. The list contents are of type `AdxpHouseNumber`.

  If the meaning of the 'House Number' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'House Number' containment reference list.
  See Also:
    `CDAR2Package.getAD_HouseNumber()`

### getHouseNumberNumeric

    org.eclipse.emf.common.util.EList getHouseNumberNumeric()

  Returns the value of the 'House Number Numeric' containment reference list. The list contents are of type `AdxpHouseNumberNumeric`.

  If the meaning of the 'House Number Numeric' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'House Number Numeric' containment reference list.
  See Also:
    `CDAR2Package.getAD_HouseNumberNumeric()`

### getDirection

    org.eclipse.emf.common.util.EList getDirection()

  Returns the value of the 'Direction' containment reference list. The list contents are of type `AdxpDirection`.

  If the meaning of the 'Direction' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Direction' containment reference list.
  See Also:
    `CDAR2Package.getAD_Direction()`

### getStreetName

    org.eclipse.emf.common.util.EList getStreetName()

  Returns the value of the 'Street Name' containment reference list. The list contents are of type `AdxpStreetName`.

  If the meaning of the 'Street Name' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Street Name' containment reference list.
  See Also:
    `CDAR2Package.getAD_StreetName()`

### getStreetNameBase

    org.eclipse.emf.common.util.EList getStreetNameBase()

  Returns the value of the 'Street Name Base' containment reference list. The list contents are of type `AdxpStreetNameBase`.

  If the meaning of the 'Street Name Base' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Street Name Base' containment reference list.
  See Also:
    `CDAR2Package.getAD_StreetNameBase()`

### getStreetNameType

    org.eclipse.emf.common.util.EList getStreetNameType()

  Returns the value of the 'Street Name Type' containment reference list. The list contents are of type `AdxpStreetNameType`.

  If the meaning of the 'Street Name Type' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Street Name Type' containment reference list.
  See Also:
    `CDAR2Package.getAD_StreetNameType()`

### getAdditionalLocator

    org.eclipse.emf.common.util.EList getAdditionalLocator()

  Returns the value of the 'Additional Locator' containment reference list. The list contents are of type `AdxpAdditionalLocator`.

  If the meaning of the 'Additional Locator' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Additional Locator' containment reference list.
  See Also:
    `CDAR2Package.getAD_AdditionalLocator()`

### getUnitID

    org.eclipse.emf.common.util.EList getUnitID()

  Returns the value of the 'Unit ID' containment reference list. The list contents are of type `AdxpUnitID`.

  If the meaning of the 'Unit ID' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Unit ID' containment reference list.
  See Also:
    `CDAR2Package.getAD_UnitID()`

### getUnitType

    org.eclipse.emf.common.util.EList getUnitType()

  Returns the value of the 'Unit Type' containment reference list. The list contents are of type `AdxpUnitType`.

  If the meaning of the 'Unit Type' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Unit Type' containment reference list.
  See Also:
    `CDAR2Package.getAD_UnitType()`

### getCareOf

    org.eclipse.emf.common.util.EList getCareOf()

  Returns the value of the 'Care Of' containment reference list. The list contents are of type `AdxpCareOf`.

  If the meaning of the 'Care Of' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Care Of' containment reference list.
  See Also:
    `CDAR2Package.getAD_CareOf()`

### getCensusTract

    org.eclipse.emf.common.util.EList getCensusTract()

  Returns the value of the 'Census Tract' containment reference list. The list contents are of type `AdxpCensusTract`.

  If the meaning of the 'Census Tract' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Census Tract' containment reference list.
  See Also:
    `CDAR2Package.getAD_CensusTract()`

### getDeliveryAddressLine

    org.eclipse.emf.common.util.EList getDeliveryAddressLine()

  Returns the value of the 'Delivery Address Line' containment reference list. The list contents are of type `AdxpDeliveryAddressLine`.

  If the meaning of the 'Delivery Address Line' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Delivery Address Line' containment reference list.
  See Also:
    `CDAR2Package.getAD_DeliveryAddressLine()`

### getDeliveryInstallationType

    org.eclipse.emf.common.util.EList getDeliveryInstallationType()

  Returns the value of the 'Delivery Installation Type' containment reference list. The list contents are of type `AdxpDeliveryInstallationType`.

  If the meaning of the 'Delivery Installation Type' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Delivery Installation Type' containment reference list.
  See Also:
    `CDAR2Package.getAD_DeliveryInstallationType()`

### getDeliveryInstallationArea

    org.eclipse.emf.common.util.EList getDeliveryInstallationArea()

  Returns the value of the 'Delivery Installation Area' containment reference list. The list contents are of type `AdxpDeliveryInstallationArea`.

  If the meaning of the 'Delivery Installation Area' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Delivery Installation Area' containment reference list.
  See Also:
    `CDAR2Package.getAD_DeliveryInstallationArea()`

### getDeliveryInstallationQualifier

    org.eclipse.emf.common.util.EList getDeliveryInstallationQualifier()

  Returns the value of the 'Delivery Installation Qualifier' containment reference list. The list contents are of type `AdxpDeliveryInstallationQualifier`.

  If the meaning of the 'Delivery Installation Qualifier' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Delivery Installation Qualifier' containment reference list.
  See Also:
    `CDAR2Package.getAD_DeliveryInstallationQualifier()`

### getDeliveryMode

    org.eclipse.emf.common.util.EList getDeliveryMode()

  Returns the value of the 'Delivery Mode' containment reference list. The list contents are of type `AdxpDeliveryMode`.

  If the meaning of the 'Delivery Mode' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Delivery Mode' containment reference list.
  See Also:
    `CDAR2Package.getAD_DeliveryMode()`

### getDeliveryModeIdentifier

    org.eclipse.emf.common.util.EList getDeliveryModeIdentifier()

  Returns the value of the 'Delivery Mode Identifier' containment reference list. The list contents are of type `AdxpDeliveryModeIdentifier`.

  If the meaning of the 'Delivery Mode Identifier' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Delivery Mode Identifier' containment reference list.
  See Also:
    `CDAR2Package.getAD_DeliveryModeIdentifier()`

### getBuildingNumberSuffix

    org.eclipse.emf.common.util.EList getBuildingNumberSuffix()

  Returns the value of the 'Building Number Suffix' containment reference list. The list contents are of type `AdxpBuildingNumberSuffix`.

  If the meaning of the 'Building Number Suffix' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Building Number Suffix' containment reference list.
  See Also:
    `CDAR2Package.getAD_BuildingNumberSuffix()`

### getPostBox

    org.eclipse.emf.common.util.EList getPostBox()

  Returns the value of the 'Post Box' containment reference list. The list contents are of type `AdxpPostBox`.

  If the meaning of the 'Post Box' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Post Box' containment reference list.
  See Also:
    `CDAR2Package.getAD_PostBox()`

### getPrecinct

    org.eclipse.emf.common.util.EList getPrecinct()

  Returns the value of the 'Precinct' containment reference list. The list contents are of type `AdxpPrecinct`.

  If the meaning of the 'Precinct' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Precinct' containment reference list.
  See Also:
    `CDAR2Package.getAD_Precinct()`

### getUseablePeriod

    org.eclipse.emf.common.util.EList getUseablePeriod()

  Returns the value of the 'Useable Period' containment reference list. The list contents are of type `SXCMTS`. A General Timing Specification (GTS) specifying the periods of time during which the address can be used. This is used to specify different addresses for different times of the year or to refer to historical addresses.

  Returns:
    the value of the 'Useable Period' containment reference list.
  See Also:
    `CDAR2Package.getAD_UseablePeriod()`

### isIsNotOrdered

    boolean isIsNotOrdered()

  Returns the value of the 'Is Not Ordered' attribute. A boolean value specifying whether the order of the address parts is known or not. While the address parts are always a Sequence, the order in which they are presented may or may not be known. Where this matters, the isNotOrdered property can be used to convey this information.

  Returns:
    the value of the 'Is Not Ordered' attribute.
  See Also:
    `isSetIsNotOrdered()`, `unsetIsNotOrdered()`, `setIsNotOrdered(boolean)`, `CDAR2Package.getAD_IsNotOrdered()`

### setIsNotOrdered

    void setIsNotOrdered(boolean value)

  Sets the value of the '`Is Not Ordered`' attribute.

  Parameters:
    `value` - the new value of the 'Is Not Ordered' attribute.
  See Also:
    `isSetIsNotOrdered()`, `unsetIsNotOrdered()`, `isIsNotOrdered()`

### unsetIsNotOrdered

    void unsetIsNotOrdered()

  Unsets the value of the '`Is Not Ordered`' attribute.

  See Also:
    `isSetIsNotOrdered()`, `isIsNotOrdered()`, `setIsNotOrdered(boolean)`

### isSetIsNotOrdered

    boolean isSetIsNotOrdered()

  Returns whether the value of the '`Is Not Ordered`' attribute is set.

  Returns:
    whether the value of the 'Is Not Ordered' attribute is set.
  See Also:
    `unsetIsNotOrdered()`, `isIsNotOrdered()`, `setIsNotOrdered(boolean)`

### getUse

    java.util.List getUse()

  Returns the value of the 'Use' attribute. A set of codes advising a system or user which address in a set of like addresses to select for a given purpose.

  Returns:
    the value of the 'Use' attribute.
  See Also:
    `setUse(List)`, `CDAR2Package.getAD_Use()`

### setUse

    void setUse(java.util.List value)

  Sets the value of the '`Use`' attribute.

  Parameters:
    `value` - the new value of the 'Use' attribute.
  See Also:
    `getUse()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD